$("#generarcronograma").on('click', function(event) {
    event.preventDefault();
    let valor = $("#nuevoValorServicio").val();
    let desc = $("#nuevoDecripcionServ").val();
    let campoFecha = $("#fechaFacturacion").val();
    ms = Date.parse(campoFecha);
    let f = new Date(ms);
    const meses = $("#nuevoMeses").val() - 1;
    let concepto = "";

    for (var i = 0; i <= meses; i++) {
        f.setMonth(f.getMonth() + 1);
        let fechaFormateada = `${f.getFullYear()}-${("0" + (f.getMonth() + 1)).slice(-2)}-${("0" + (f.getDate() + 1)).slice(-2)}`;
        
        concepto += `<tr id="fila-${i}">
            <td>${i + 1}</td>
            <td><input type="number" name="montos_cronograma[]" class="form-control monto-editable" value="${valor}" style="width: 100px;"></td>
            <td>${desc}</td>
            <td><input type="date" name="fechas_cronograma[]" class="form-control fecha-editable" value="${fechaFormateada}"></td>
            <td><span class="badge bg" style="background-color: #00a65a;">Activado</span></td>
        </tr>`;
    }

    $("#tablebody").empty();
    $(".vistaCronograma").append(concepto);
});



$(".d").click(function() {
  $("#modalEditarContrato").modal("show");

});


$(".btnEditarPersona").on('click', function(event) {
	event.preventDefault();
	var idserviciosCobro = $(this).attr("idservicios");


    var datos = new FormData();
    datos.append("idserviciosCobro", idserviciosCobro);


    $.ajax({
    	url:"ajax/contratos.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType:"json",
    })
    .done(function(response) {
    	console.log(response);
    	var count = 1;
    	var estado = "";
    	$("#tablebody1").empty();
    	$.each(response, function(index, val) {
    			if (val["estado"] == 0){
    				estado = "<span class='badge bg-yellow'>Pendiente</span>";
    			}else if (val["estado"] == 1){
    				estado = "<span class='badge bg-green'>Pagado</span>";
    			}else if (val["estado"] == 2) {
    				estado = "<span class='badge bg-red'>Vencido</span>";
    			}
              $(".tablaContratos").append(`<tr id="fila">
					<td>${count}</td>
					<td>${val["fechas_pagos"]}</td>
					<td>${val["monto"]}</td>
					<td>${estado}</td>
				</tr>

              	`);
              count++;
         });
    	$("#modalEditarContrato").modal("show");


    })
    .fail(function() {
    	console.log("error");
    })
    .always(function() {
    	console.log("complete");
    });

});

$(".tablas").on("click", ".btnEliminarContrato", function(){
//$(".btnEliminarContrato").on('click', function(event) {
	event.preventDefault();
	var idserviciosCobro = $(this).attr("idservicios");

    var datos = new FormData();
    datos.append("idserviciosEliminar", idserviciosCobro);

    swal({

		text: "Desea eliminar el contrato? No se podra recuperar.",
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Eliminar'
	}).then((result) => {
		if (result.value) {

			$.ajax({
		    	url:"ajax/contratos.ajax.php",
		      method: "POST",
		      data: datos,
		      cache: false,
		      contentType: false,
		      processData: false,
		      dataType:"json",
		    })
		    .done(function(response) {
		    	if(response == "ok"){
					swal({
						type: "success",
						title: "El contrato ha sido eliminado",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
						}).then(function(result){
							if (result.value) {
								window.location = "contratos";

										}
						});

				}else if (response == "error") {
					swal({
						type: "error",
						title: "El contrato no puede ser eliminado",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
						}).then(function(result){
							if (result.value) {


										}
						});
				}

		    })
		    .fail(function() {
		    	console.log("error");
		    })
		    .always(function() {
		    	console.log("complete");
		    });


			}
	})

});

$(".tablas").on("click", ".btnBajausuario", function(){
//$(".btnEliminarContrato").on('click', function(event) {
	event.preventDefault();
	var idserviciosCobro = $(this).attr("idservicios");

    var datos = new FormData();
    datos.append("idserviciosBaja", idserviciosCobro);

    swal({

		text: "¿Desea dar de baja al alumno?.",
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Baja'
	}).then((result) => {
		if (result.value) {

			$.ajax({
		    	url:"ajax/contratos.ajax.php",
		      method: "POST",
		      data: datos,
		      cache: false,
		      contentType: false,
		      processData: false,
		      dataType:"json",
		    })
		    .done(function(response) {
		    	if(response == "ok"){
					swal({
						type: "success",
						title: "El alumno se dio de baja :(",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
						}).then(function(result){
							if (result.value) {
								window.location = "contratos";

										}
						});

				}else if (response == "error") {
					swal({
						type: "error",
						title: "El contrato no puede ser eliminado",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
						}).then(function(result){
							if (result.value) {


										}
						});
				}

		    })
		    .fail(function() {
		    	console.log("error");
		    })
		    .always(function() {
		    	console.log("complete");
		    });


			}
	})

});
//de aqui se valida el usuario si esta por validar//

$(".tablas").on("click", ".btnValidausuario", function(){
//$(".btnEliminarContrato").on('click', function(event) {
	event.preventDefault();
	var idserviciosCobro = $(this).attr("idservicios");

    var datos = new FormData();
    datos.append("idserviciosValida", idserviciosCobro);

    swal({

		text: "¿Validaste que los datos son correctos?.",
		type: 'warning',
		showCancelButton: true,
		confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		confirmButtonText: 'Autorizar'
	}).then((result) => {
		if (result.value) {

			$.ajax({
		    	url:"ajax/contratos.ajax.php",
		      method: "POST",
		      data: datos,
		      cache: false,
		      contentType: false,
		      processData: false,
		      dataType:"json",
		    })
		    .done(function(response) {
		    	if(response == "ok"){
					swal({
						type: "success",
						title: "El alta del alumno se autorizo",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
						}).then(function(result){
							if (result.value) {
								window.location = "contratos";

										}
						});

				}else if (response == "error") {
					swal({
						type: "error",
						title: "no se pudo autorizar",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
						}).then(function(result){
							if (result.value) {


										}
						});
				}

		    })
		    .fail(function() {
		    	console.log("error");
		    })
		    .always(function() {
		    	console.log("complete");
		    });


			}
	})

});

$(".tablas").on("click", ".btnDetalleContrato", function(){
//$(".btnDetalleContrato").click(function(event) {
  event.preventDefault();
  var idservicios = $(this).attr('idservicios');

  $.ajax({
    url: 'ajax/contratos.ajax.php',
    type: 'POST',
    dataType: 'json',
    data: {"editarServicio": idservicios},
  })
  .done(function(success) {
    //console.log("aqui ",success);
    detalleContrato(success);
  })
  .fail(function() {
    console.log("error");
  })
  .always(function() {
    console.log("complete");
  });




});


function detalleContrato(response) {

    $.ajax({
      url: 'vistas/modulos/proceso.php',
      type: 'POST',
      data: {"arregloD": JSON.stringify(response)},
      success: function() {
        //console.log(response)
        window.location.href = "detalle-contrato";
      },
      error: function(error) {
        console.log("error");
      },
    })

}


/*=============================================
IMPRIMIR ESTADO DE CUENTA
=============================================*/

$(".tablas").on("click", ".btnImprimirEstado", function(){

	var idservicios = $(this).attr("idservicios");

	window.open("extensiones/tcpdf/pdf/estado-cuenta.php?idservicios="+idservicios, "_blank");

});


$(".reportePDF").on('click', function(event) {
	event.preventDefault();

	let tipoServicios = $("#tipoServicio").val();
	let estadoServicios = $("#estadoServicio").val();
	let zonaServicios = $("#zonaServicio").val();

	window.open("extensiones/tcpdf/pdf/servicios-cuentas.php?idtipo_servicios="+tipoServicios+"&estado="+estadoServicios+"&zona="+zonaServicios, "_blank");

});

$(document).on("click", ".btnActivarC", function(){
	var idServicio = $(this).attr("idservicios");
	var estadoServicio = $(this).attr("estadoServicio");

	var datos = new FormData();
 	datos.append("activarId", idServicio);
  	datos.append("activarServicioContrato", estadoServicio);

  	$.ajax({

	  url:"ajax/servicios.ajax.php",
	  method: "POST",
	  data: datos,
	  cache: false,
      contentType: false,
      processData: false,
      success: function(respuesta){

      		if(window.matchMedia("(max-width:767px)").matches){

	      		 swal({
			      title: "El usuario ha sido actualizado",
			      type: "success",
			      confirmButtonText: "¡Cerrar!"
			    }).then(function(result) {
			        if (result.value) {

			        	window.location = "usuarios";

			        }


				});

	      	}

      }

  	})

  	if(estadoServicio == 0){

  		$(this).removeClass('bg-black');
  		$(this).addClass('bg-green');
  		$(this).html('Activo');
  		$(this).attr('estadoServicio',3);

  	}else if(estadoServicio == 3){

  		$(this).addClass('bg-black');
  		$(this).removeClass('bg-green');
  		$(this).html('Desactivado');
  		$(this).attr('estadoServicio',0);

  	}
})
